Bug 13319 - Printing from tuxpaint doesn't work
: Printing from tuxpaint doesn't work
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/tuxpaint)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-11-04 14:54 by
Modified: 2007-11-29 15:09 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-11-04 14:54:28
When trying to print from tuxpaint it doesn't work.
Printing is configured properly, it prints from KDE, by using cups.
Steps to Reproduce:
1.Create drawing
2.Click "Print it"
3.
Actual Results:  
Nothing comes out, printing doesn't start

Expected Results:  
A printed picture
------- Comment #1 From 2007-11-05 16:38:36 -------
А задание для печати появляется?
У задание появляется но печать останавливается. Грешил на принтер.
------- Comment #2 From 2007-11-05 18:26:44 -------
(In reply to comment #1)
> А задание для печати появляется?
> У задание появляется но печать останавливается. Грешил на принтер.

Задание появляется... и стоит в очереди... 
[denis@ibmtest TestJogl]$ lpq
main is ready
Rank    Owner   Job     File(s)                         Total Size
1st     denis   74      (stdin)                         1752064 bytes
2nd     denis   75      (stdin)                         1752064 bytes

Печатать не хочет! 
Тот же файл из KolourPaint распечатался нормально.
Вот с какой ошибкой стоят файлы из tuxpaint в очереди на принтер:

Атрибут
Значения
job-more-info
ipp://localhost:631/jobs/74
job-preserved
Истинно
job-printer-up-time
Пнд Ноя 5 18:23:44 2007
job-state-reasons
job-stopped
job-uri
ipp://localhost:631/jobs/74
printer-uri
ipp://localhost/printers/main
job-originating-user-name
denis
job-name
(stdin)
document-format
application/postscript
media
A4
finishings
0x3
copies
1
job-hold-until
no-hold
job-priority
50
number-up
1
job-sheets
none
none
job-uuid
urn:uuid:4f1a753f-6816-393e-4319-fc8f39c846fd
job-originating-host-name
localhost
time-at-creation
Птн Ноя 2 18:35:49 2007
time-at-processing
Птн Ноя 2 18:35:49 2007
time-at-completed

job-id
74
job-state
0x6
job-media-sheets-completed
0
job-printer-uri
ipp://ibmtest.localdomain:631/printers/main
job-name
(stdin)
job-k-octets
1711
job-printer-state-message
/usr/lib/cups/filter/rastertopips failed
job-printer-state-reasons
none

------- Comment #3 From 2007-11-29 12:52:28 -------
Fixed in tuxpaint-0.9.18-alt1 by apstream